package com.muyu.common.domain.enums;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：李庆帅
 * @Package：com.muyu.etl.property.enums
 * @Project：cloud-etl-property
 * @name：DataType
 * @Date：2024/8/29 21:33
 */
public enum DataType {

    VARCHAR("varchar",String.class,"String"),
    BIGINT("bigint", Long.class,"Long"),
    INT("int", Integer.class,"Integer"),
    DECIMAL("decimal", BigDecimal.class,"BigDecimal"),
    DATETIME("datetime", Date.class,"Date"),
    TEXT("text", String.class,"String"),
    DOUBLE("double", Double.class,"Double");

    private final String sourceType;

    private final Class<?> targetType;

    private final String javaType;


    public static Class convertType(String type){

        for (DataType dataType : DataType.values()) {
            if (dataType.sourceType.equalsIgnoreCase(type)){
                return dataType.targetType;
            }
        }
        return String.class;
    }

    public static String convertTypeString(String type){

        for (DataType dataType : DataType.values()) {
            if (dataType.sourceType.equalsIgnoreCase(type)){
                return dataType.javaType;
            }
        }
        return "String";
    }

    DataType(String sourceType, Class<?> targetType, String javaType) {
        this.sourceType = sourceType;
        this.targetType = targetType;
        this.javaType = javaType;
    }

}
