package com.muyu.server.data.mysql;



import com.muyu.common.domain.DataValue;
import com.muyu.server.data.base.BaseDataAbsSource;

import java.sql.*;
import java.util.Map;


/**
 * @Author：
 * @Package：com.muyu.etl.property.mysql
 * @Project：cloud-etl-property
 * @name：MysqlDataSource
 * @Date：2024/8/29 16:04
 *
 * mysql数据源
 */


public class MySqlDataSource extends BaseDataAbsSource
{


    @Override
    public DataValue getDateValue() {
        MySqlQuery query = getQuery();
        query.getDataSourceId();
        String sql = query.getSql();
        Map<String, Object> queryParams = query.getParams();
        Connection connection=null;
        try {
            PreparedStatement preparedStatement = connection.prepareStatement(sql);
            ResultSet resultSet = preparedStatement.getResultSet();
            while (resultSet.next()){
                DataValue.builder()
                        .key(resultSet.getCursorName())
                        .label("")
                        .value(resultSet.getObject(1, String.class))
                        .type("" +"String");
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }

        return null;
    }

    @Override
    public DataValue[] getRow() {
        return new DataValue[0];
    }

    @Override
    public DataValue[][] fetRows() {
        return new DataValue[0][];
    }

}
