package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.AssetAuthorization;
import com.muyu.server.mapper.AssetAuthorizationMapper;
import com.muyu.server.service.AssetAuthorizationService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @Author：yang
 * @Package：com.muyu.server.service.impl
 * @Project：cloud-property
 * @name：AssetAuthorizationServiceImpl
 * @Date：2024/9/4 21:18
 */
@Service
@AllArgsConstructor
public class AssetAuthorizationServiceImpl
        extends ServiceImpl<AssetAuthorizationMapper, AssetAuthorization>
        implements AssetAuthorizationService {

    private final AssetAuthorizationMapper assetAuthorizationMapper;

    /**
     * 删除用户权限方法
     * @param req 响应参数
     * @return  返回结果
     */
    @Override
    public int delUserAssetAccredit(AssetAuthorization req) {
        LambdaQueryWrapper<AssetAuthorization> queryWrapper = new LambdaQueryWrapper<>();
        if (null==req.getBasicId()){
            queryWrapper.eq(AssetAuthorization::getUserId,req.getUserId())
                    .eq(AssetAuthorization::getTableId,req.getTableId());
        }else if (null==req.getTableId()){
            queryWrapper.eq(AssetAuthorization::getUserId,req.getUserId())
                    .eq(AssetAuthorization::getBasicId,req.getBasicId());
        }

        int delete = assetAuthorizationMapper.delete(queryWrapper);
        return delete;
    }
}
